Package it.ernytech.tdlib

## Class TdApi.CallStatePending

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.CallState
    - - it.ernytech.tdlib.TdApi.CallStatePending

Enclosing class:
  TdApi

    public static class TdApi.CallStatePending
    extends TdApi.CallState

The call is pending, waiting to be accepted by a user.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isCreated` True, if the call has already been created by the server.
`boolean` `isReceived` True, if the call has already been received by the other party.

### Constructor Summary

Constructors
`CallStatePending()` Default constructor.
`CallStatePending​(boolean isCreated, boolean isReceived)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### isCreated

    public boolean isCreated

True, if the call has already been created by the server.

#### isReceived

    public boolean isReceived

True, if the call has already been received by the other party.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CallStatePending

    public CallStatePending()

Default constructor.

#### CallStatePending

    public CallStatePending​(boolean isCreated,
                            boolean isReceived)

Constructor for initialization of all fields.

Parameters:
  `isCreated` - True, if the call has already been created by the server.
  `isReceived` - True, if the call has already been received by the other party.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR